<h1>People</h1>
<div class="fitlerBox row">
  <input autofocus type="search" placeholder="Filter" class="filter flex-20" (input)="filter($event.target.value)" />
  <span class="comment flex-80">Type 'male' or 'female' to filter by gender, number to filter by age and otherwise filter by name/planet</span>
</div>

<div class="basic-table">
  <div class="basic-table-head">
    <div class="flex-10"></div>
    <div (click)="sort('name')" class="sortable flex-20">Name</div>
    <div (click)="sort('gender')" class="sortable flex-20">Gender</div>
    <div (click)="sort('numericBirthYear')" class="sortable flex-20">Birth year</div>
    <div (click)="sort('planet')" class="sortable flex">Planet</div>
  </div>
  <div class="basic-table-body">
    <div class="row" *ngFor="let person of people">
      <a class="showDetails flex-10" routerLink="/person/{{person.id}}">Details</a>
      <div class="flex-20">{{person.name}}</div>
      <div class="flex-20">{{person.gender}}</div>
      <div class="flex-20">{{person.birth_year}}</div>
      <div class="flex">{{person.planet.name}}</div>
    </div>
  </div>
</div>

<div class="message">{{messageService.message}}</div>
